Bug 73700 - neat crash - Edit wireless Hardware
neat crash - Edit wireless Hardware
Status: CLOSED CURRENTRELEASE
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-network (Show other bugs)
null
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-08 20:34 EDT by Warren Togami
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-23 16:13:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2002-09-08 20:34:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020826

Description of problem:
When you try to "Edit" a wireless card in the Hardware tab of neat, it always
crashes with the following message.  This occurred with both a Lucent Orinoco
Silver (orinoco_cs) and SMC2632W (wvlan_cs).

Traceback (most recent call last):
  File "/usr/sbin/neat", line 1341, in on_hardwareEditButton_clicked
    self.showHardwareDialog(type, true)
  File "/usr/sbin/neat", line 1398, in showHardwareDialog
    gneric_error_dialog (_("Sorry, there is nothing to be edited,\n"
NameError: global name 'gneric_error_dialog' is not defined


Version-Release number of selected component (if applicable):
redhat-config-network-1.1.17-1

How reproducible:
Always

Steps to Reproduce:
1. Insert wireless card like Lucent Orinoco (orinoco_cs) or SMC2632W (wvlan_cs).
2. Run neat.
3. Hardware tab.
4. Select wireless card.
5. Click Edit
	

Actual Results:  
Crash.

Expected Results:  
Anything but crash.
Comment 1 Warren Togami 2002-09-09 00:30:25 EDT
Oh, it is a simple typo in netconf.py

--- netconf.py.orig     2002-09-08 15:16:43.000000000 -1000                    
                                             +++ netconf.py  2002-09-08
18:28:41.000000000 -1000
@@ -1395,7 +1395,7 @@
             dialog = isdnHardwareDialog(hw)

          if not dialog:
-            gneric_error_dialog (_("Sorry, there is nothing to be edited,\n"
+            generic_error_dialog (_("Sorry, there is nothing to be edited,\n"
                                    "or this type cannot be edited yet."),
                                   self.dialog)
             return
Comment 2 Warren Togami 2002-09-09 12:33:51 EDT
Bug 71999 says this is fixed in CVS.

Note You need to log in before you can comment on or make changes to this bug.